#1188 OLE failure on 4.1.3

v4.2.0
closed
oleObject (4)
complete
2
2014-04-15
2013-07-09
No

This fails with syntax error on “PageTitle = oIE~document~title” on the new release.

Went back to 4.1.1 and it works.

Several of my apps failed. Could not get the “document” object.

url = 'https://www.wireless.att.com/olam/dashboardAction.olamexecute'

oIE = .OLEObject~New("InternetExplorer.Application")
oIE~Visible = .True
oIE~Top = 1
oIE~Left = 1
oIE~Width = 1000
oIE~Height = 1000

oIE~navigate(url)

Do 600 While oIE~readyState < 4 | oIE~busy = 1
Call Syssleep 0.1
End

PageTitle = oIE~document~title

Say Page PageTitle

Related

Bugs: #1188

Discussion

  • Mark Miesfeld

    Mark Miesfeld - 2013-07-09

    Hi Gary,

    Can you add what the Windows version and IE versions you are using. Also explicitly state if both the failing case and the successful case are on the same operating system using the same version of IE.

    Thanks.

     
  • Mark Miesfeld

    Mark Miesfeld - 2013-07-09

    Also, can you add the exact print out of the syntax error.

     
  • Garry Smithwick

    Garry Smithwick - 2013-07-09

    Windows 7, 64 bit. IE 10. Yes, it is the same Windows and IE. I installed Rexx 4.1.3 and it failed. I uninstalled Rexx 4.1.3 and installed 4.1.1 and it works.

     
  • Garry Smithwick

    Garry Smithwick - 2013-07-09

    Had to reinstall 4.1.3.

    16 *-* PageTitle = oIE~document~title
    

    Error 97 running C:\Rexx\My Tools\Retirement Tools\Fail.rex line 16: Object method not found
    Error 97.1: Object "an OLEObject" does not understand message "TITLE"

    Press ENTER key to exit...

     
  • Garry Smithwick

    Garry Smithwick - 2013-07-09

    Also WORKS on 4.1.2 Rexx.

     
  • Mark Miesfeld

    Mark Miesfeld - 2013-07-09
    • labels: OLE Failure --> oleObject
    • assigned_to: Mark Miesfeld
    • Pending work items: none --> complete
     
  • Mark Miesfeld

    Mark Miesfeld - 2013-07-09

    The problem here is that Internet Explorer, for whatever reason, does not follow Microsoft's guidelines for OLE.

    It's too bad you hadn't tested the beta during the 2 months it was available, this could have been fixed before the release.

     
  • Garry Smithwick

    Garry Smithwick - 2013-07-09

    Normally, I would test, but I was hiking the Appalachian Trail for 2 months. Just got back.

     
  • Mark Miesfeld

    Mark Miesfeld - 2013-07-09

    Well, I certainly can't fault you there. ;-) Hiking the Appalachian Trail, that's something I envy.

     
  • Garry Smithwick

    Garry Smithwick - 2013-07-09

    Just back from two months on the Appalachian Trail.

    No really, able to test.

    Garry Smithwick

    Phone: 770-406-6010
    Mobile: 678-908-7319
    Email: mailto:smithwick@tds.net
    AIM ID: GarrySmithwick
    FaceBook: www.facebook.com/garrysmithwick
    Home Page: personalpages.tds.net/~garrysmithwick

    From: Mark Miesfeld
    Sent: Tuesday, July 09, 2013 4:07 PM
    To: [oorexx:bugs]
    Subject: [oorexx:bugs] #1188 OLE failure on 4.1.3

    The problem here is that Internet Explorer, for whatever reason, does not follow Microsoft's guidelines for OLE.

    It's too bad you hadn't tested the beta during the 2 months it was available, this could have been fixed before the release.


    [bugs:#1188] OLE failure on 4.1.3

    Status: open
    Labels: oleObject
    Created: Tue Jul 09, 2013 06:46 PM UTC by Garry Smithwick
    Last Updated: Tue Jul 09, 2013 07:37 PM UTC
    Owner: Mark Miesfeld

    This fails with syntax error on “PageTitle = oIE~document~title” on the new release.

    Went back to 4.1.1 and it works.

    Several of my apps failed. Could not get the “document” object.

    url = 'https://www.wireless.att.com/olam/dashboardAction.olamexecute'

    oIE = .OLEObject~New("InternetExplorer.Application")
    oIE~Visible = .True
    oIE~Top = 1
    oIE~Left = 1
    oIE~Width = 1000
    oIE~Height = 1000

    oIE~navigate(url)

    Do 600 While oIE~readyState < 4 | oIE~busy = 1
    Call Syssleep 0.1
    End

    PageTitle = oIE~document~title

    Say Page PageTitle


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/oorexx/bugs/1188/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1188

  • Mark Miesfeld

    Mark Miesfeld - 2013-07-09

    Committed revision 9357. [r9357] 4.1 fixes
    Committed revision 9358. [r9358] trunk

     

    Related

    Commit: [r9357]
    Commit: [r9358]

  • Mark Miesfeld

    Mark Miesfeld - 2013-07-09
    • status: open --> pending
    • Group: 4.1.3 --> 4.1.4
     
  • Mark Miesfeld

    Mark Miesfeld - 2014-02-15
    • Group: 4.1.4 --> v4.2.0
     
  • Mark Miesfeld

    Mark Miesfeld - 2014-02-15

    In 4.2.0

     
  • Rick McGuire

    Rick McGuire - 2014-04-15
    • status: pending --> closed
     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks